Package: groovy.org.codenarc.rule.convention

## [Groovy] Class NoDefRule

- groovy.org.codenarc.rule.convention.NoDefRule

- Def keyword is overused and should be replaced with specific type.

  The `excludeRegex` property optionally specifies regex to find text which could occur immediately after def.
  Authors:
    Dominik Przybysz

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `MESSAGE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `excludeRegex`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List<Violation> violations)`

- - ### Field Detail

    - #### protected static final String MESSAGE

  - ### Property Detail

    - #### String excludeRegex

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List<Violation> violations)